Set display order

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
POST /project/{projectId}/scenario/{scenarioId}/display-order

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required
  • scenarioId integer(int64) Required
application/json

Body Required

  • displayOrder integer(int32)

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • delayAnalysisPerformed string

      Values are No, InProgress, or Done.

    • scenarioType string

      Values are COMPLETE or PARTIAL.

    • modelId integer(int64)
    • name string
    • id integer(int64)
    • description string
    • projectId integer(int64)
    • status string

      Values are IN_PROGRESS, CREATED, or FAILED.

    • activityId integer(int64)
    • dataDate string(date-time)
    • archived boolean
    • autoUpdate boolean
    • displayOrder integer(int32)
POST /project/{projectId}/scenario/{scenarioId}/display-order
curl \
 --request POST 'https://live.smartpmtech.com/project/{projectId}/scenario/{scenarioId}/display-order' \
 --header "X-API-KEY: $API_KEY" \
 --header "Content-Type: application/json" \
 --header "X-COMPANY-ID: string" \
 --data '{
  "displayOrder": 42
}'
Request examples
# Headers
X-COMPANY-ID: string

# Payload
{
  "displayOrder": 42
}
Response examples (200)
{
  "delayAnalysisPerformed": "No",
  "scenarioType": "COMPLETE",
  "modelId": 42,
  "name": "string",
  "id": 42,
  "description": "string",
  "projectId": 42,
  "status": "IN_PROGRESS",
  "activityId": 42,
  "dataDate": "2026-05-04T09:42:00Z",
  "archived": true,
  "autoUpdate": true,
  "displayOrder": 42
}